Chuckie Egg
===========

Chuckie Egg is a platform game originally written by Nigel Atherton and published by A+F Software in 1983.  It was available on various home computer platforms including the ZX Spectrum, BBC Micro and Dragon 32.  This is a homebrew remake of the Dragon 32 version for Nintendo DS, Sega Dreamcast and Sony PlayStation Portable.


Aim of the Game
---------------

You control Hen-House Harry, who must collect all 12 eggs in each level before time runs out.  Avoid the hens who patrol the levels and collect the grain for extra points.  Climb ladders and ride elevators but don't fall in any holes.


Controls
--------

 * Ascend ladder:             D-pad up; analog stick up (PSP)
 * Descend ladder:            D-pad down; analog stick down (PSP)
 * Walk left:                 D-pad left; analog stick left (PSP)
 * Walk right:                D-pad right; analog stick right (PSP)
 * Jump:                      A (DC/DS); circle (PSP)
 * Pause:                     Start
 * Flip screens:              X (DS)
 * Return to title screen:    Pause the game, then hold L and R together
 * Quit:                      Home (PSP); on the title screen hold L, R and Start together

Note that it is helpful to hold Up or Down as you approach a ladder; that way Harry will automatically grab the ladder when he reaches it.


High Score Entry
----------------

If you earn enough points to get into the high score table, these are the controls to enter your name:

 * Scroll through letters from Z-A:    Up
 * Scroll through letters from A-Z:    Down
 * Select current letter:              Right; A (DC/DS); circle (PSP)
 * Back a letter:                      Left; B (DC/DS); X (PSP)
 * Enter name into high score table:   Start

Data is saved in the usual place (PSP), in "/data/SZChuckieEgg" (DS) or not at all (DC).


Cheats
------

There are a bunch of cheats built into the game which can be triggered while the game is paused.  Here's an example sequence that will enable slow motion mode.  While paused (DS and DC):

 * X
 * X
 * Y
 * X
 * X
 * Y
 * X
 * X
 * Y
 * Y
 * Y

Alternatively (PSP):

 * Triangle
 * Triangle
 * Square
 * Triangle
 * Triangle
 * Square
 * Triangle
 * Triangle
 * Square
 * Square
 * Square

If the cheat worked you'll see a message telling you that slow motion mode is enabled.  Unpause the game and hold the L or R triggers to slow down the action.  You can pause the game again and enter the sequence a second time to disable slow motion mode.

Discovering the other cheats is left as an exercise for the reader.


Level Editor
------------

Chuckie Egg includes a level editor so you can create your own levels.

Here's a styleguide should you wish to ensure your levels fit with the original game's parameters (you can safely ignore these if you want to create more advanced levels):

 * Each level should have exactly 12 eggs;
 * There should be only one elevator, at y tile co-ordinate 1;
 * There should be a blank tile either side of the elevator;
 * There should be no tiles within the space alloted to the elevator;
 * Harry should start at tile co-ordinates (12, 20);
 * Don't place tiles above the 4th row.

Here are some rules that will ensure your levels don't trigger undesired behavior or performance problems in the game:

 * Each ladder that intersects a platform should extend to two tiles above the platform;
 * Left/right ladder tiles should always have an accompanying right/left ladder tile.
 * There should be at least two tiles of vertical space between platforms;
 * Don't exceed more than 5 or so hens;
 * Levels must include at least 1 egg;
 * Hens should always be placed on platforms.

Different platforms will be able to support different maximum numbers of hens.  The PSP is considerably more capable than the DS and DC at running the game engine and will undoubtedly handle more.

Controls for the level editor are:

 * Move cursor:               D-pad
 * Place tile:                A
 * Erase tile:                B
 * Test level:                Start
 * Return to editor:          Pause the game, then hold L and R together
 * Select next tile:          R
 * Select previous tile:      L

On the DS, the stylus can be used to draw levels instead of the d-pad and A/B buttons.


Links
-----

 * [Blog][1]

  [1]: http://simianzombie.com
